#!/bin/bash
## Copy this line ##
. $(dirname $(realpath $0))/../include.sh
## end

SOCKETFILE=""
if [ $OS = "debian" ]
then
  SOCKETFILE="/var/run/mysqld/mysqld.sock"
else
  SOCKETFILE="/var/lib/mysql/mysql.sock"
fi

if [ "$DBHOST" != "localhost" ] && [ "$DBHOST" != "127.0.0.1" ]
then
  SOCKETFILE=""
fi

if [ $OS = "debian" ] && [ "$VERSION_ID" = "8" ]
then
cat <<< "[MySQL]
Description     = MySQL driver
Driver          = libmyodbc.so
Setup           = libodbcmyS.so
CPTimeout       =
CPReuse         =" | odbcinst -i -d -r

cat <<< "[asterisk]
Description           = ODBC to Mysql
Driver                = MySQL
Database              = asterisk
Server                = $DBHOST
UserName              = statexplorer
Password              = sd54zrf65434swv4
Socket                = $SOCKETFILE
option                = 3
INITSTMT=SET SESSION sql_mode = ''" | odbcinst -i -s -r -l > /dev/null
fi

if [ $OS = "debian" ] && [ $VERSION_ID -gt 8 ]
then
cat <<< "[asterisk] 
Description           = ODBC to Mysql
Driver                = MariaDB Unicode
Database              = asterisk
Server                = $DBHOST
UserName              = statexplorer
Password              = sd54zrf65434swv4
Socket                = $SOCKETFILE
option                = 3
INITSTMT=SET SESSION sql_mode = ''" | odbcinst -i -s -r -l > /dev/null
fi

if [ $OS = "centos" ]
then
cat <<< "[asterisk]
Description           = ODBC to Mysql
Driver                = MySQL
Database              = asterisk
Server                = $DBHOST
UserName              = statexplorer
Password              = sd54zrf65434swv4
Socket                = $SOCKETFILE
option                = 3
INITSTMT=SET SESSION sql_mode = ''" | odbcinst -i -s -r -l > /dev/null
fi


cat > /etc/asterisk/ombutel/res_odbc__10-general.conf <<-EOF
[asterisk]
enabled => yes
dsn => asterisk
pooling =>no
max_connections=>100
username => statexplorer
password => sd54zrf65434swv4
pre-connect => yes
EOF

cat > /etc/asterisk/ombutel/cel_odbc__10-general.conf <<-EOF
[cel]
connection=asterisk
table=cel
username=statexplorer
password=sd54zrf65434swv4
loguniqueid=yes
EOF

cat > /etc/asterisk/ombutel/cel__10-general.conf <<-EOF
[general]
enable=yes
apps=all
events=ALL
dateformat = %d-%m-%Y %T
EOF

cat > /etc/asterisk/modules.d/30-statexplorer.conf <<-EOF
+ res_odbc.so
+ cel.so
+ cel_odbc.so
EOF


systemctl stop asterisk
/usr/share/ombutel/scripts/ast_mods_ctl
systemctl start asterisk





$mysqlcmd < $SCRIPTPATH/db.sql

if [ $OS = "centos" ]
then
    $mysqlcmd statexplorer -e "UPDATE users SET password=(CONCAT(MD5(RAND()), MD5(RAND()))) WHERE login='admin';"
fi


dos2unix $INSTALLPATH/api/scripts/resetdb.sh > /dev/null 2> /dev/null
chmod +x $INSTALLPATH/api/scripts/resetdb.sh

php $SCRIPTPATH/InstallAPIKeyOmbutel.php > /dev/null

cat > /etc/cron.d/statexplorer <<-EOF
0 0 * * 0 root rm -f /var/log/statexplorercron.log 
* * * * * root /usr/bin/php $INSTALLPATH/api/scripts/analyse.php &>> /var/log/statexplorercron.log 
EOF
